package tutorial

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/tutorial"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /tutorial/create tutorial CreateTutorial
//
// Create tutorial information | 创建Tutorial
//
// Create tutorial information | 创建Tutorial
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: TutorialInfo
//
// Responses:
//  200: BaseMsgResp

func CreateTutorialHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.TutorialInfo
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := tutorial.NewCreateTutorialLogic(r.Context(), svcCtx)
		resp, err := l.CreateTutorial(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
